Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037742
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2018-01-29 09:412018-02-22 18:18
ReporteregoitzView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisionc05369b23139
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037742: Return Material pick and execute take more that 4 minutes to be loaed on an environment with thousands of orders.

DescriptionOpening the return material window takes too much.
After 5 minutes the popup is loaded.
Steps To ReproduceOpen the window on an environment with thousands of orders/orderlines.
Proposed SolutionChange the datable to use a hql query instead of a database view.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00377643.0PR18Q1 closeddmiguelez Return Material pick and execute take more that 4 minutes to be loaed on an environment with thousands of orders. 
depends on backport 00377653.0PR17Q4.1 closeddmiguelez Return Material pick and execute take more that 4 minutes to be loaed on an environment with thousands of orders. 

-  Notes
(0102042)
dmiguelez (developer)
2018-01-30 09:24

Test that the Return From Customer is working as it was working before:

Create a new Sales Order and a Goods Shipment for that Sales Order (using Create Lines From)
Any Business Partner and any stocked Product should be ok. Quantity must be greater than zero.

Create a new Return From Customer for the previous Goods Shipment and return all the quantity.

Create a new Return Material Receipt for the same Business Partner.
Open the Pick/Edit Lines pop up and realize that the previous Return From Customer is shown in the grid.
Close the Pop Up and select a different Business Partner.
Check that the previous Return From Customer is not shown in the grid.
Close the Pop Up and select the previous Business Partner and complete the Return.

Improvement in performance has been tested with Client's data.

It has improved from 4 minutes to around 250 ms.
(0102062)
hgbot (developer)
2018-01-30 16:28

Repository: erp/devel/pi
Changeset: c05369b231390eaf33c5207a9f2c6ac7cb233d1b
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jan 29 11:38:22 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c05369b231390eaf33c5207a9f2c6ac7cb233d1b [^]

Fixes Issue 37742. Fixes performance in Return Material Receipt P&E

In view m_rm_receipt_pick_edit a new column has been added with the
Business Partner from the Order.

This new column is used in the filter of the Return Material P&E Tab.
By doing so, additional cross joins with OrderLine and Order Tables
are avoided.
Also, the planner in Postgres is able to properly use the Business
Partner index.

---
M src-db/database/model/views/M_RM_RECEIPT_PICK_EDIT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_TAB.xml
---
(0102063)
dmiguelez (developer)
2018-01-30 16:31

Code Review by Victor Martínez, testing by David Miguélez and the client Ok
(0102696)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-29 09:41 egoitz New Issue
2018-01-29 09:41 egoitz Assigned To => Triage Finance
2018-01-29 09:41 egoitz Modules => Core
2018-01-29 09:41 egoitz Triggers an Emergency Pack => No
2018-01-29 09:42 egoitz Proposed Solution updated
2018-01-29 13:09 dmiguelez Assigned To Triage Finance => dmiguelez
2018-01-29 13:09 dmiguelez Status new => scheduled
2018-01-30 09:24 dmiguelez Note Added: 0102042
2018-01-30 10:54 dmiguelez Status scheduled => acknowledged
2018-01-30 10:54 dmiguelez Status acknowledged => scheduled
2018-01-30 16:28 hgbot Checkin
2018-01-30 16:28 hgbot Note Added: 0102062
2018-01-30 16:28 hgbot Status scheduled => resolved
2018-01-30 16:28 hgbot Resolution open => fixed
2018-01-30 16:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c05369b231390eaf33c5207a9f2c6ac7cb233d1b [^]
2018-01-30 16:31 dmiguelez Review Assigned To => vmromanos
2018-01-30 16:31 dmiguelez Note Added: 0102063
2018-01-30 16:31 dmiguelez Status resolved => closed
2018-01-30 16:31 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102696


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker